Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 711694 - media-libs/waffle-1.6.0-r1 : fails to build with -fno-common or gcc-10
Summary: media-libs/waffle-1.6.0-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL: https://gitlab.freedesktop.org/mesa/w...
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-03-06 15:26 UTC by Toralf Förster
Modified: 2020-03-31 21:08 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.15 KB, text/plain)
2020-03-06 15:26 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,80.57 KB, text/plain)
2020-03-06 15:26 UTC, Toralf Förster
Details
environment (environment,105.49 KB, text/plain)
2020-03-06 15:26 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,10.65 KB, application/x-bzip)
2020-03-06 15:26 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,245 bytes, application/x-bzip)
2020-03-06 15:26 UTC, Toralf Förster
Details
media-libs:waffle-1.6.0-r1:20200306-115009.log (media-libs:waffle-1.6.0-r1:20200306-115009.log,61.96 KB, text/plain)
2020-03-06 15:26 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,26.97 KB, application/x-bzip)
2020-03-06 15:26 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-03-06 15:26:30 UTC
FAILED: src/waffle/libwaffle-1.so.0.6.0 
x86_64-pc-linux-gnu-gcc  -o src/waffle/libwaffle-1.so.0.6.0 'src/waffle/0a74eb2@@waffle-1@sha/api_api_priv.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/api_waffle_attrib_list.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/api_waffle_config.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/api_waffle_context.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/api_waffle_display.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/api_waffle_dl.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/api_waffle_enum.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/api_waffle_error.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/api_waffle_gl_misc.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/api_waffle_init.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/api_waffle_window.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/core_wcore_attrib_list.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/core_wcore_config_attrs.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/core_wcore_display.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/core_wcore_error.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/core_wcore_tinfo.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/core_wcore_util.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/linux_linux_dl.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/linux_linux_platform.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/egl_wegl_config.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/egl_wegl_context.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/egl_wegl_display.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/egl_wegl_platform.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/egl_wegl_util.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/egl_wegl_surface.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/wayland_wayland_display.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/wayland_wayland_platform.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/wayland_wayland_window.c.o' 'src/waffle/0a74eb2@@waffle-1@sha/wayland_wayland_wrapper.c.o' -Wl,--as-needed -Wl,--no-undefined -shared -fPIC -Wl,--start-group -Wl,-soname,libwaffle-1.so.0 -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -Wl,-O1 -Wl,--as-needed third_party/threads/libthreads.a /usr/lib64/libwayland-client.so /usr/lib64/libwayland-egl.so -ldl -Wl,--end-group -pthread '-Wl,-rpath,$ORIGIN/../../third_party/threads' -Wl,-rpath-link,/var/tmp/portage/media-libs/waffle-1.6.0-r1/work/waffle-1.6.0-abi_x86_64.amd64/third_party/threads
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/waffle/0a74eb2@@waffle-1@sha/wayland_wayland_platform.c.o:(.bss+0x0): multiple definition of `wfl_wl_proxy_marshal_constructor_versioned'; src/waffle/0a74eb2@@waffle-1@sha/wayland_wayland_display.c.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/waffle/0a74eb2@@waffle-1@sha/wayland_wayland_platform.c.o:(.bss+0x8): multiple definition of `wfl_wl_proxy_marshal_constructor'; src/waffle/0a74eb2@@waffle-1@sha/wayland_wayland_display.c.o:(.bss+0x8): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-20200304-151530

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
llvm:
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Fri, 06 Mar 2020 10:37:29 +0000

emerge -qpvO media-libs/waffle
[ebuild  N    ] media-libs/waffle-1.6.0-r1  USE="wayland -X -doc -egl -gbm -test" ABI_X86="(64) -32 (-x32)"
Comment 1 Toralf Förster gentoo-dev 2020-03-06 15:26:33 UTC
Created attachment 617312 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-06 15:26:36 UTC
Created attachment 617314 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-03-06 15:26:39 UTC
Created attachment 617316 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-03-06 15:26:42 UTC
Created attachment 617318 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-03-06 15:26:45 UTC
Created attachment 617320 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-03-06 15:26:47 UTC
Created attachment 617322 [details]
media-libs:waffle-1.6.0-r1:20200306-115009.log
Comment 7 Toralf Förster gentoo-dev 2020-03-06 15:26:50 UTC
Created attachment 617324 [details]
temp.tbz2
Comment 8 Matt Turner gentoo-dev 2020-03-31 21:08:40 UTC
Fixed with waffle-1.6.1.